Package com.sas.lsaf.content.repository.recyclebin

## Class RecycleBinSearchResults

- java.lang.Object
- - com.sas.lsaf.content.repository.recyclebin.RecycleBinSearchResults

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RecycleBinSearchResults
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the results of a recycle bin search based on a search query. `RecycleBinItem`s in the results satisfy the search query that is specified in `RecycleBinService.search(RecycleBinQuery)`. If the server cannot process all of the items due to server limitations, `limitReached` are set to True. If True, more items that satisfy the query might exist, but they cannot be returned.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecycleBinSearchResults​(java.util.Set<RecycleBinItem> searchResults, boolean limitReached)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<RecycleBinItem>` | `getRecycleBinSearchResults()` | Gets the search results that are based on the `RecycleBinQuery` that is specified in `RecycleBinService.search(RecycleBinQuery)`.
    `int` | `hashCode()` |
    `boolean` | `isLimitReached()` | Indicates whether the server processed all of the repository items that are based on the query.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecycleBinSearchResults

          public RecycleBinSearchResults​(java.util.Set<RecycleBinItem> searchResults,
                                         boolean limitReached)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the results returned by the API.
      Parameters:
        `searchResults` - The results of the search.
        `limitReached` - Indicates whether the query results exceed the maximum number of items that are allowed on the server.

  - ### Method Detail

    - #### getRecycleBinSearchResults

          public java.util.Set<RecycleBinItem> getRecycleBinSearchResults()

      Gets the search results that are based on the `RecycleBinQuery` that is specified in `RecycleBinService.search(RecycleBinQuery)`.
      Returns:
        The recycle bin items that match the query.

    - #### isLimitReached

          public boolean isLimitReached()

      Indicates whether the server processed all of the repository items that are based on the query. If True, the query results returned are what the search processed before it had to terminate processing. Therefore, more items that satisfy the query might exist, but they cannot be returned.
      Returns:
        True, if the server had to terminate the search, possibly before all items were found. Otherwise, false.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`